! converts a/b into binary fraction.
! Enter two numbers a,b with a<b.
! If it is inifite, terminate this program manually.
INPUT a,b
DO 
   LET a=2*MOD(a,b)
   IF a=0 THEN EXIT DO
   PRINT INT(a/b);
LOOP
END

